## org.apache.poi.hssf.model
Class ComboboxShape

    java.lang.Object
      org.apache.poi.hssf.model.AbstractShape
          org.apache.poi.hssf.model.ComboboxShape

    public class ComboboxShape

extends AbstractShape

Represents a combobox shape.

Author:
  Yegor Kozlov

Method Summary
`ObjRecord` `getObjRecord()`
`EscherContainerRecord` `getSpContainer()`

Methods inherited from class org.apache.poi.hssf.model.AbstractShape
`addStandardOptions, createAnchor, createShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSpContainer

    public EscherContainerRecord getSpContainer()

  Specified by:
    `getSpContainer` in class `AbstractShape`
  Returns:
    The shape container and it's children that can represent this shape.

### getObjRecord

    public ObjRecord getObjRecord()

  Specified by:
    `getObjRecord` in class `AbstractShape`
  Returns:
    The object record that is associated with this shape.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.